#ifndef EVALDATA_H
#define EVALDATA_H

#include "Indoor/sensors/radio/setup/WiFiOptimizer.h"
#include "Indoor/sensors/radio/setup/WiFiFingerprint.h"
#include "Indoor/sensors/radio/setup/WiFiFingerprints.h"

#include "Indoor/sensors/radio/setup/WiFiOptimizer.h"
#include "Indoor/sensors/radio/setup/WiFiOptimizerLogDistCeiling.h"

#include "Indoor/sensors/radio/VAPGrouper.h"

#include "Indoor/floorplan/v2/Floorplan.h"
#include "Indoor/floorplan/v2/FloorplanReader.h"
#include "Indoor/floorplan/v2/FloorplanHelper.h"
#include "Indoor/floorplan/v2/FloorplanCeilings.h"

#include "Indoor/sensors/radio/model/WiFiModelLogDistCeiling.h"

#include "Indoor/sensors/offline/FileReader.h"
#include "Helper.h"


class EvalData {

public:

	/**
	 * read path
	 * dump gps measurements to cout
	 * dump gps measurements to googleLines for googleMaps vis
	 */
	static void dumpGPSforPath(const std::string& fPath) {

		std::cout << "dumping GPS for " << fPath << std::endl;

		Offline::FileReader fr(fPath);

		std::vector<EarthPos> poss;
		for (const auto gps : fr.gps) {
			std::cout << gps.ts << ":" << gps.data.asString() << std::endl;
			EarthPos pos(gps.data.lat, gps.data.lon, gps.data.alt);
			poss.push_back(pos);
		}
		LeHelper::writeGoogleLine(poss);

	}




};

#endif // EVALDATA_H
